Subject: bug#13149: 24.3.50; Emacs thinks file was changed outside Emacs, but it was not

From: Dmitry Gutov <[email-masked]>
Date: Fri, 18 Jan 2013 10:22:43 +0400

On 18.01.2013 9:54, Dmitry Gutov wrote:
> On 18.01.2013 9:25, Paul Eggert wrote:
>> If you change the sleep to 100 ms, does that fix
>> the above behavior?  How about 1 second?  2 seconds?
>
> Nope, not even 10 or 60 seconds. The pause is visible, but the numbers
> are the same.

I'd like to add that when I open a file on cifs in a emacs-24 Emacs 
build, and then do "touch <filename>" in the console on the server (host 
machine), Emacs still reliably detects the change.

If I do nothing, and auto-revert-mode is on, it will revert it in a few 
seconds. If I "touch" and then quickly switch to the Emacs in the VM and 
try to make a change, it also says "file changed, really edit?"